Bug 180010 - yumex crashes during processing of update queue
yumex crashes during processing of update queue
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-02-04 11:35 EST by Andy Burns
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.99.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-06 03:03:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andy Burns 2006-02-04 11:35:06 EST
Description of problem:

yumex crashes processing update queue

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. start yumex, retrieves rawhide udates from local mirror
2. select all packages, add to queue
3. from queue, process update
Actual results:

Summary: TB566693af yumexBase.py:1060:make_pkgs_list:TypeError: unsubscriptable

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 232, in on_button
    if self.action.process_package_queue( pkgs, doAll ):
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 952, in
    if self.get_confimation( "" ):
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 1034, in
    pkg = self.make_pkgs_list()
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 1060, in
TypeError: unsubscriptable object

Local variables in innermost frame:
a: x86_64
e: 0
relationship: obsoletes
repoid: mymirror
alist: []
self: <yumex.yumexBase.yumexAction instance at 0x2b1119dacd88>
appended: replacing  gnu-crypto-sasl-jdk1.4.x86_64 2.0.1-1jpp_11fc

list: []
sublist: []
n: java-1.4.2-gcj-compat
r: 40jpp_73rh
obspo: gnu-crypto-sasl-jdk1.4 - 2.0.1-1jpp_11fc.x86_64
action: Installing
txmbr: java-1.4.2-gcj-compat.x86_64 0- - u
pkglist: [<yum.transactioninfo.TransactionMember instance at 0x2b111a01b488>,
<yum.transactioninfo.TransactionMember instance at 0x2aaaace0b518>,
<yum.transactioninfo.TransactionMember instance at 0x2aaaace9b950>]
pkgsize: 1017908.0
size: 994 k
Comment 1 Andy Burns 2006-02-04 19:58:23 EST
Just tried to upgrad a 2nd machine (first was x86_64, 2nd is i386)
just to report same issue present.
Comment 2 Tim Lauridsen 2006-02-05 02:28:03 EST
There is a typo in the code alist.append[appended], should have been
alist.append(appended), it is already fixed in cvs in will make a new release
there fixes the error.
Comment 3 Tim Lauridsen 2006-02-06 03:03:25 EST
Yum Extender 0.99.4 Released in extras-development, it fixes this bug.

Note You need to log in before you can comment on or make changes to this bug.